npm не может установить karma-ng-html2js-препроцессор

angularjs node.js karma-jasmine

170 просмотра

1 ответ

Я обнаружил досадную проблему с надписанным модулем.

Когда я устанавливаю препроцессор karma-ng-html2js, он всегда заканчивается следующей ошибкой:

>fsevents@0.2.1 install /Library/WebServer/Documents/node_modules/fsevents
>node-gyp rebuild
......
nam WARN karma@0.10.10 requires a peer of karma-chrome-launcher but none was installed.
......

В чем причина проблемы? Есть ли другой способ для юнит-тестирования templateUrl, кроме использования этого пакета?

Спасибо

Автор: Cheung Brian Источник Размещён: 08.11.2019 11:29

Ответы (1)


1 плюс

Решение

Ладно, думаю, я сейчас это.

После того, как вы удалили Карму глобально, попробуйте установить ее снова с помощью:

npm install karma

Затем также запустите:

npm install karma --save-dev

Теперь попробуйте установить ваш ng-html2js-препроцессор, сказав:

npm install karma-ng-html2js-preprocessor --save-dev

Если это не работает, скопируйте новое исключение и вернитесь сюда.

Автор: McBoman Размещён: 21.08.2016 05:59
Вопросы из категории :
32x32